Bug 489537 - Cluster - Bogus(?) messages in log file when a new broker joins a cluster
Cluster - Bogus(?) messages in log file when a new broker joins a cluster
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.1
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Alan Conway
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 12:18 EDT by David Sommerseth
Modified: 2016-05-22 19:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When a broker joins a cluster, it no longer writes unnecessary messages to the log file.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 12:15:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sommerseth 2009-03-10 12:18:45 EDT
During testing cluster failover, I discovered that I often got messages like this in the log file of the broker which the new broker contacts to catch up:
--------------------------------------------------------------------------------
2009-mar-10 08:41:16 warning Session was not closed cleanly
2009-mar-10 08:41:16 warning Ignoring frame while closing connection: Frame[BEbe; channel=71; {SessionTimeoutBody: timeout=0; }]
2009-mar-10 08:41:16 warning Session was not closed cleanly
2009-mar-10 08:41:16 warning Session was not closed cleanly
2009-mar-10 08:41:16 warning Ignoring frame while closing connection: Frame[BEbe; channel=70; {SessionCommandPointBody: command-id=0; command-offset=0; }]
2009-mar-10 08:41:16 warning Ignoring frame while closing connection: Frame[BEbe; channel=70; {SessionTimeoutBody: timeout=0; }]
2009-mar-10 08:41:16 warning Session was not closed cleanly
2009-mar-10 08:41:16 warning Ignoring frame while closing connection: Frame[BEbe; channel=71; {SessionTimeoutBody: timeout=0; }]
2009-mar-10 08:41:17 warning Session was not closed cleanly
2009-mar-10 08:41:17 warning Session was not closed cleanly
2009-mar-10 08:41:17 warning Ignoring frame while closing connection: Frame[BEbe; channel=71; {SessionCommandPointBody: command-id=0; command-offset=0; }]
2009-mar-10 08:41:17 warning Ignoring frame while closing connection: Frame[BEbe; channel=71; {SessionTimeoutBody: timeout=0; }]
2009-mar-10 08:41:17 warning Session was not closed cleanly
--------------------------------------------------------------------------------

The newly attached broker will just give a "(READY) caught up, active cluster member" log message when this error appears in the other broker.

It looks like something is wrong, but according to Alan, this is expected.

To reproduce it, setup openais and start a broker with --cluster-name.  Then start a client which implements FailoverManager against the broker.  Add new brokers to the same cluster.

If these warnings really are harmless, they should not be logged.
Comment 1 Alan Conway 2009-03-31 08:23:56 EDT
May be related to bug 493016
Comment 3 Alan Conway 2010-03-25 09:26:32 EDT
Fixed all warnings during the update process in r927383 r927384 r927385
Comment 5 Jaromir Hradilek 2010-10-07 10:48:40 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When a broker joins a cluster, it no longer writes unnecessary messages to the log file.
Comment 7 errata-xmlrpc 2010-10-14 12:15:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0773.html

Note You need to log in before you can comment on or make changes to this bug.